Subject: Re: [PATCH v9 05/24] wfx: add main.c/main.h

From: Kalle Valo <[email-masked]>
Date: Thu, 10 Feb 2022 18:25:05 +0200

Jérôme Pouiller <[email-masked]> writes:

> On Thursday 10 February 2022 15:51:03 CET Kalle Valo wrote:
>> Jérôme Pouiller <[email-masked]> writes:
>> > On Thursday 10 February 2022 15:20:56 CET Kalle Valo wrote:
>> >> Jérôme Pouiller <[email-masked]> writes:
>> >>
>> >> > Kalle, is this function what you expected? If it is right for you, I am
>> >> > going to send it to the staging tree.
>> >>
>> >> Looks better, but I don't get why '{' and '}' are still needed. Ah, does
>> >> the firmware require to have them?
>> >
>> > Indeed. If '{' and '}' are not present, I guarantee the firmware will return
>> > an error (or assert). However, I am more confident in the driver than in the
>> > firmware to report errors to the user.
>> 
>> Agreed.
>> 
>> > If there is no other comment, I am going to:
>> >   - submit this change to the staging tree
>> 
>> Good, it's important that you get all your changes to the staging tree
>> before the next merge window.
>> 
>> >   - publish the tool that generate this new format
>> >   - submit the PDS files referenced in bus_{sdio,spi}.c to linux-firmware
>> >   - send the v10 of this PR
>> 
>> I'm not sure if there's a need to send a full patchset anymore? We are
>> so close now anyway and the full driver is available from the staging
>> tree, at least that's what I will use from now on when reviewing wfx.
>> 
>> What about the Device Tree bindings? That needs to be acked by the DT
>> maintainers, so that's good to submit as a separate patch for review.
>
> There is also the patch 01/24 about the SDIO IDs.
>
> I think the v10 could contain only 3 patches:
>
>     1. mmc: sdio: add SDIO IDs for Silabs WF200 chip
>     2. dt-bindings: introduce silabs,wfx.yaml
>     3. [all the patches 3 to 24 squashed]
>
> Would it be right for you?

TBH I don't see the point of patch 3 at this moment, we have had so many
iterations with the full driver already. If people want to look at the
driver, they can check it from the staging tree. So in the next round I
recommend submitting only patches 1 and 2 and focus on getting all the
pending patches to staging tree.

And the chances are that a big patch like that would be filtered by the
mailing lists anyway.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches